| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# CnvFactory.h File Reference

`#include "Reflex/PluginService.h"`
`#include "GaudiKernel/ClassID.h"`

Include dependency graph for CnvFactory.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CnvFactory< T >
class | ConverterID
## Defines
#define | DECLARE_GENERIC_CONVERTER(x)
#define | DECLARE_NAMESPACE_GENERIC_CONVERTER(n, x)
#define | DECLARE_CONVERTER(x)
#define | DECLARE_NAMESPACE_CONVERTER(n, x)
#define | DECLARE_CONVERTER_FACTORY(x) PLUGINSVC_FACTORY_WITH_ID(x,ConverterID(x::storageType(),x::classID()),IConverter*(ISvcLocator*))
#define | DECLARE_NAMESPACE_CONVERTER_FACTORY(n, x) using n::x; PLUGINSVC_FACTORY_WITH_ID(x,ConverterID(x::storageType(),x::classID()),IConverter*(ISvcLocator*))
## Functions
std::ostream & | operator<< (std::ostream &s, const ConverterID &id)

## Define Documentation

#define DECLARE_CONVERTER | ( | x |  | ) |

Definition at line 49 of file CnvFactory.h.

Referenced by DECLARE_FACTORY_ENTRIES().

#define DECLARE_CONVERTER_FACTORY | ( | x |  | ) | PLUGINSVC_FACTORY_WITH_ID(x,ConverterID(x::storageType(),x::classID()),IConverter*(ISvcLocator*))

Definition at line 53 of file CnvFactory.h.

#define DECLARE_GENERIC_CONVERTER | ( | x |  | ) |

Definition at line 47 of file CnvFactory.h.

#define DECLARE_NAMESPACE_CONVERTER | ( | n,
|  | x |  | ) |

Definition at line 50 of file CnvFactory.h.

#define DECLARE_NAMESPACE_CONVERTER_FACTORY | ( | n,
|  | x |  | ) | using n::x; PLUGINSVC_FACTORY_WITH_ID(x,ConverterID(x::storageType(),x::classID()),IConverter*(ISvcLocator*))

Definition at line 57 of file CnvFactory.h.

#define DECLARE_NAMESPACE_GENERIC_CONVERTER | ( | n,
|  | x |  | ) |

Definition at line 48 of file CnvFactory.h.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const ConverterID & | id |
| ) |  |  | `[inline]`

Definition at line 42 of file CnvFactory.h.

References Gaudi::Units::s.

    00042                                                                        {
    00043     s << "CNV_" << id.m_stype << "_" << id.m_clid;
    00044     return s;
    00045 }